# Generated from norad_spec_runner-0.5.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name norad_spec_runner

Name: rubygem-%{gem_name}
Version: 0.5.2
Release: 1%{?dist}
Summary: Gem to help with running Rspec
License: Apache-2.0
URL: https://gitlab.com/norad/spec-runner
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Gem to help with running Rspec.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/norad_spec_runner
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/norad_spec_runner.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.5.2-1
- Initial package
